#ifndef LINE_IN_USER_H
#define LINE_IN_USER_H

#include "Line_In.h"

typedef enum
{
    LINE_IN_Turn_Left,                          
    LINE_IN_Turn_Right, 
    LINE_IN_High_Beam,
    LINE_IN_Efi_Fault,  
    LINE_IN_ABS,
    LINE_IN_Auto_Start_Stop,
    LINE_IN_Oil_Pressure_Alert,
    LINE_IN_Voltage,
    LINE_IN_Fuel_Level_Low,
    LINE_IN_Coolant_Temperature,

    LINE_IN_MAX,
} LINE_IN_Enum_t;

extern void LINE_IN_Init(void);

Linelib_uint8_t Get_LINE_IN_Turn_Left(void);
Linelib_uint8_t Get_LINE_IN_Turn_Right(void);
Linelib_uint8_t Get_LINE_IN_High_Beam(void);
Linelib_uint8_t Get_LINE_IN_Efi_Fault(void);
Linelib_uint8_t Get_LINE_IN_ABS(void);
Linelib_uint8_t Get_LINE_IN_Auto_Start_Stop(void);
Linelib_uint8_t Get_LINE_IN_Oil_Pressure_Alert(void);
Linelib_uint8_t Get_LINE_IN_Voltage(void);
Linelib_uint8_t Get_LINE_IN_Fuel_Level_Low(void);
Linelib_uint8_t Get_LINE_IN_Coolant_Temperature(void);
#endif
